Subject: Re: [PATCH] arch: configuration, deleting 'CONFIG_BUG' since always need it.

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 28 May 2013 09:06:48 -0700

On 05/28/2013 08:43 AM, Arnd Bergmann wrote:
> 
> Right, that is what the patch I just posted does.
> 
> On a related note, I found that WARN_ON() can no longer be compiled
> out since there is already code that relies on the side-effects of
> the condition. I assume that was an intentional change I missed,
> since it used to be defined so that you could remove it completely.
> 

It is possible to define WARN_ON() as:

#define WARN_ON(x) ((void)(x))

... which preserves side effects.

	-hpa